Bug 494710 - Kernel panic
Kernel panic
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 16:56 EDT by Jeff Kuehn
Modified: 2009-04-27 11:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 11:15:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Kuehn 2009-04-07 16:56:09 EDT
Description of problem:

Dell D630 Laptop (Intel T7500, G965, Intel 3945 wireless) experiences a kernel panic shortly after attempting to connect to infrastructure access point with WPA/WPA2 Enterprise / PEAP / PEAP Version 0 / MSCHAPv2 (panic sometimes occurs immediately, sometimes after a few rounds of drop/reassociate).

Version-Release number of selected component (if applicable):

2.6.27.21-170.2.56.fc10.x86_64

How reproducible:

Every time, though perhaps with a few cycles of drop/reassoc over a few minutes. This has been occuring for a few months, but the system it wasn't until today that I was able to capture a trace from the panic.

Steps to Reproduce:
1. Using NetworkManager Applet 0.7.0.99, select WPA/WPA2 Enterprise network
2. (reassociate to this network if connection drops before panic)
3. System panics
  
Actual results:
The panic generally occurs during an X session and a console cannot be recovered to obtain a trace, however, *ONCE* I've been lucky enough to have the panic occur while I was switched into a VT. The system was totally frozen, but I was able to capture a few photos of the last screen of the trace with my phone. The result is transcribed below:

[<ffffffff812d39b8>] ip_output+0x9b/0xa0
[<ffffffff812d2cd2>] ip_local_out+0x20/0x24
[<ffffffff812d2f9e>] ip_push_pending_frames+0x2c8/0x337
[<ffffffff812eddd8>] udp_push_pending_frames+0x2d1/0x334
[<ffffffff812ef1dc>] udp_sendmsg+0x4bb/0x5c0
[<ffffffff812f43b5>] inet_sendmsg+0x46/0x53
[<ffffffff8129a78e>] __sock_sendmsg+0x59/0x62
[<ffffffff8129b8ca>] sock_sendmsg+0xc7/0xe0
[<ffffffff810554d5>] ? autoremove_wake_function+0x0/0x38
[<ffffffff81090d55>] ? generic_file_aio_write+0x72/0xc3
[<ffffffff8129bae1>] ? move_addr_to_kernel+0x40/0x49
[<ffffffff8129bbc9>] sys_sendto+0xdf/0x107
[<ffffffff813335f2>] ? _spin_lock+0x9/0xc
[<ffffffff810c000a>] ? fsnotify_modify+0x62/0x6a
[<ffffffff8101027a>] system_call_fastpath+0x16/0x1b

Code: 45 d0 4d 89 e0 41 c6 44 24 01 ff 41 c6 44 24 02 ff 4c 89 f1 48 8b 83 48 8b 7b 08 4c 89 ea 4c 89 fe ff 50 10 41 00 3c 24 00 79 04 <0f> 0b eb fe 41 80 7c 24 01 00 79 5b 31 c9 bf 01 00 00 00 eb 4c
RIP  [<ffffffffa009001c>] rate_control_get_rate+0x89/0xfc [mac80211]
 RSP <ffff88011cd6b518>
---[ end trace 32831e314c3902ae ]---
Kernel panic - not syncing: Aiee, killing interrupt handler!

Expected results:

Wireless does not cause a panic.

Additional info:

I'm not changing the rate control setting, so I believe it's using the default of PID.

This problem is specific to the above WPA/WPA2 Enterprise config. Panics do not occur on a WPA2-PSK network.

Google finds a lot of panic messages in rate_control_get_rate.

The laptop's battery is completely consumed within a few minutes of the panic, generally meaning there's little or no time respond.

Engaging the rfkill switch prevents panics.
Comment 1 Jeff Kuehn 2009-04-09 13:52:37 EDT
Upgrading to kernel 2.6.29.3 form koji seems to improve the system stability with regard to panics.  

The wireless connection still drops and restarts every few minutes. Below is a cut from /var/log/messages showing a drop/restart


Apr  9 13:28:46 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  completed -> associating
Apr  9 13:28:46 hostname avahi-daemon[2542]: Interface wlan0.IPv4 no longer relevant for mDNS.
Apr  9 13:28:46 hostname avahi-daemon[2542]: Leaving mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.89.90.
Apr  9 13:28:46 hostname avahi-daemon[2542]: Withdrawing address record for fe80::21b:77ff:xxxx:xxxx on wlan0.
Apr  9 13:28:46 hostname avahi-daemon[2542]: Withdrawing address record for XXX.XXX.89.90 on wlan0.
Apr  9 13:28:46 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
Apr  9 13:28:49 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> associating
Apr  9 13:28:49 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> associated
Apr  9 13:28:49 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  9 13:28:49 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> group handshake
Apr  9 13:28:49 hostname avahi-daemon[2542]: Joining mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.89.90.
Apr  9 13:28:49 hostname avahi-daemon[2542]: New relevant interface wlan0.IPv4 for mDNS.
Apr  9 13:28:49 hostname avahi-daemon[2542]: Registering new address record for fe80::21b:77ff:xxxx:xxxx on wlan0.*.
Apr  9 13:28:49 hostname avahi-daemon[2542]: Registering new address record for XXX.XXX.89.90 on wlan0.IPv4.
Apr  9 13:28:49 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  group handshake -> completed
Apr  9 13:31:47 hostname avahi-daemon[2542]: Interface wlan0.IPv4 no longer relevant for mDNS.
Apr  9 13:31:47 hostname avahi-daemon[2542]: Leaving mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.89.90.
Apr  9 13:31:47 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  completed -> associating
Apr  9 13:31:47 hostname avahi-daemon[2542]: Withdrawing address record for fe80::21b:77ff:xxxx:xxxx on wlan0.
Apr  9 13:31:47 hostname avahi-daemon[2542]: Withdrawing address record for XXX.XXX.89.90 on wlan0.
Apr  9 13:31:47 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
Apr  9 13:32:02 hostname NetworkManager: <info>  (wlan0): device state change: 8 -> 3
Apr  9 13:32:02 hostname NetworkManager: <info>  (wlan0): deactivating device (reason: 11).
Apr  9 13:32:02 hostname NetworkManager: <info>  wlan0: canceled DHCP transaction, dhcp client pid 4519
Apr  9 13:32:02 hostname NetworkManager: <WARN>  check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess#012
Apr  9 13:32:02 hostname NetworkManager: <info>  Activation (wlan0) starting connection 'Auto xxxxxxxx'
Apr  9 13:32:02 hostname NetworkManager: <info>  (wlan0): device state change: 3 -> 4
Apr  9 13:32:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr  9 13:32:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr  9 13:32:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr  9 13:32:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr  9 13:32:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr  9 13:32:02 hostname NetworkManager: <info>  (wlan0): device state change: 4 -> 5
Apr  9 13:32:02 hostname NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto xxxxxxxx' has security, and secrets exist.  No new secrets needed.
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'ssid' value 'xxxxxxxx'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-EAP'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'password' value '<omitted>'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'eap' value 'PEAP'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'fragment_size' value '1300'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'phase1' value 'peapver=0'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'phase2' value 'auth=MSCHAPV2'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'ca_cert' value 'blob://-org-freedesktop-NetworkManagerSettings-2-ca_cert'
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: added 'identity' value 'XXX\xxxxx'
Apr  9 13:32:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr  9 13:32:02 hostname NetworkManager: <info>  Config: set interface ap_scan to 1
Apr  9 13:32:02 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:32:03 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
Apr  9 13:32:03 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> associated
Apr  9 13:32:27 hostname NetworkManager: <info>  Activation (wlan0/wireless): association took too long.
Apr  9 13:32:27 hostname NetworkManager: <info>  (wlan0): device state change: 5 -> 6
Apr  9 13:32:27 hostname NetworkManager: <info>  Activation (wlan0/wireless): asking for new secrets
Apr  9 13:32:27 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> disconnected
Apr  9 13:32:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr  9 13:32:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr  9 13:32:29 hostname NetworkManager: <info>  (wlan0): device state change: 6 -> 4
Apr  9 13:32:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr  9 13:32:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr  9 13:32:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr  9 13:32:29 hostname NetworkManager: <info>  (wlan0): device state change: 4 -> 5
Apr  9 13:32:29 hostname NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto xxxxxxxx' has security, and secrets exist.  No new secrets needed.
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'ssid' value 'xxxxxxxx'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-EAP'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'password' value '<omitted>'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'eap' value 'PEAP'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'fragment_size' value '1300'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'phase1' value 'peapver=0'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'phase2' value 'auth=MSCHAPV2'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'ca_cert' value 'blob://-org-freedesktop-NetworkManagerSettings-2-ca_cert'
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: added 'identity' value 'XXX\xxxxx'
Apr  9 13:32:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr  9 13:32:29 hostname NetworkManager: <info>  Config: set interface ap_scan to 1
Apr  9 13:32:29 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:32:32 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
Apr  9 13:32:32 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
Apr  9 13:32:48 hostname NetworkManager: <info>  wlan0: link timed out.
Apr  9 13:32:52 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:32:53 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
Apr  9 13:32:55 hostname NetworkManager: <info>  Activation (wlan0/wireless): association took too long.
Apr  9 13:32:55 hostname NetworkManager: <info>  (wlan0): device state change: 5 -> 6
Apr  9 13:32:55 hostname NetworkManager: <info>  Activation (wlan0/wireless): asking for new secrets
Apr  9 13:32:55 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
Apr  9 13:32:55 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> associated
Apr  9 13:32:55 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> disconnected
Apr  9 13:32:57 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr  9 13:32:57 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr  9 13:32:57 hostname NetworkManager: <info>  (wlan0): device state change: 6 -> 4
Apr  9 13:32:57 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr  9 13:32:57 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr  9 13:32:57 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr  9 13:32:57 hostname NetworkManager: <info>  (wlan0): device state change: 4 -> 5
Apr  9 13:32:57 hostname NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto xxxxxxxx' has security, and secrets exist.  No new secrets needed.
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'ssid' value 'xxxxxxxx'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-EAP'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'password' value '<omitted>'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'eap' value 'PEAP'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'fragment_size' value '1300'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'phase1' value 'peapver=0'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'phase2' value 'auth=MSCHAPV2'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'ca_cert' value 'blob://-org-freedesktop-NetworkManagerSettings-2-ca_cert'
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: added 'identity' value 'XXX\xxxxx'
Apr  9 13:32:57 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr  9 13:32:57 hostname NetworkManager: <info>  Config: set interface ap_scan to 1
Apr  9 13:32:57 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:33:13 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected
Apr  9 13:33:13 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:33:16 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
Apr  9 13:33:16 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> associated
Apr  9 13:33:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  9 13:33:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> group handshake
Apr  9 13:33:20 hostname avahi-daemon[2542]: Registering new address record for fe80::21b:77ff:xxxx:xxxx on wlan0.*.
Apr  9 13:33:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  group handshake -> completed
Apr  9 13:33:20 hostname NetworkManager: <info>  Activation (wlan0/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'xxxxxxxx'.
Apr  9 13:33:20 hostname NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) scheduled.
Apr  9 13:33:20 hostname NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) started...
Apr  9 13:33:20 hostname NetworkManager: <info>  (wlan0): device state change: 5 -> 7
Apr  9 13:33:20 hostname NetworkManager: <info>  Activation (wlan0) Beginning DHCP transaction.
Apr  9 13:33:20 hostname NetworkManager: <info>  dhclient started with pid 4902
Apr  9 13:33:20 hostname NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) complete.
Apr  9 13:33:20 hostname dhclient: Internet Systems Consortium DHCP Client 4.0.0
Apr  9 13:33:20 hostname dhclient: Copyright 2004-2007 Internet Systems Consortium.
Apr  9 13:33:20 hostname dhclient: All rights reserved.
Apr  9 13:33:20 hostname dhclient: For info, please visit http://www.isc.org/sw/dhcp/
Apr  9 13:33:20 hostname dhclient: 
Apr  9 13:33:20 hostname NetworkManager: <info>  DHCP: device wlan0 state changed normal exit -> preinit
Apr  9 13:33:20 hostname dhclient: Listening on LPF/wlan0/00:1b:77:71:XX:XX
Apr  9 13:33:20 hostname dhclient: Sending on   LPF/wlan0/00:1b:77:71:XX:XX
Apr  9 13:33:20 hostname dhclient: Sending on   Socket/fallback
Apr  9 13:33:21 hostname dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 7
Apr  9 13:33:21 hostname dhclient: DHCPOFFER from XXX.XXX.88.3
Apr  9 13:33:21 hostname dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Apr  9 13:33:22 hostname dhclient: DHCPACK from XXX.XXX.88.3
Apr  9 13:33:22 hostname NetworkManager: <info>  DHCP: device wlan0 state changed preinit -> bound
Apr  9 13:33:22 hostname NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) scheduled...
Apr  9 13:33:22 hostname NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) started...
Apr  9 13:33:22 hostname NetworkManager: <info>    address XXX.XXX.88.131
Apr  9 13:33:22 hostname NetworkManager: <info>    prefix 23 (255.255.254.0)
Apr  9 13:33:22 hostname NetworkManager: <info>    gateway XXX.XXX.88.1
Apr  9 13:33:22 hostname NetworkManager: <info>    hostname 'hostname-wireless'
Apr  9 13:33:22 hostname NetworkManager: <info>    nameserver 'XXX.XXX.1.30'
Apr  9 13:33:22 hostname NetworkManager: <info>    nameserver 'XXX.XXX.86.6'
Apr  9 13:33:22 hostname NetworkManager: <info>    domain name 'XXXXX.XXX'
Apr  9 13:33:22 hostname NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) scheduled...
Apr  9 13:33:22 hostname dhclient: bound to XXX.XXX.88.131 -- renewal in 1704 seconds.
Apr  9 13:33:22 hostname NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) complete.
Apr  9 13:33:22 hostname NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) started...
Apr  9 13:33:22 hostname avahi-daemon[2542]: Joining mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.88.131.
Apr  9 13:33:22 hostname avahi-daemon[2542]: New relevant interface wlan0.IPv4 for mDNS.
Apr  9 13:33:22 hostname avahi-daemon[2542]: Registering new address record for XXX.XXX.88.131 on wlan0.IPv4.
Apr  9 13:33:23 hostname NetworkManager: <info>  (wlan0): device state change: 7 -> 8
Apr  9 13:33:23 hostname NetworkManager: <info>  Policy set 'Auto xxxxxxxx' (wlan0) as default for routing and DNS.
Apr  9 13:33:23 hostname NetworkManager: <info>  Activation (wlan0) successful, device activated.
Apr  9 13:33:23 hostname NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) complete.
Apr  9 13:33:46 hostname avahi-daemon[2542]: Interface wlan0.IPv4 no longer relevant for mDNS.
Apr  9 13:33:46 hostname avahi-daemon[2542]: Leaving mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.88.131.
Apr  9 13:33:46 hostname avahi-daemon[2542]: Withdrawing address record for fe80::21b:77ff:xxxx:xxxx on wlan0.
Apr  9 13:33:46 hostname avahi-daemon[2542]: Withdrawing address record for XXX.XXX.88.131 on wlan0.
Apr  9 13:33:46 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  completed -> associating
Apr  9 13:33:46 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
Apr  9 13:33:46 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> associated
Apr  9 13:33:48 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> disconnected
Apr  9 13:33:49 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:33:50 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associated
Apr  9 13:34:00 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> disconnected
Apr  9 13:34:00 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:34:00 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected
Apr  9 13:34:02 hostname NetworkManager: <info>  (wlan0): device state change: 8 -> 3
Apr  9 13:34:02 hostname NetworkManager: <info>  (wlan0): deactivating device (reason: 11).
Apr  9 13:34:02 hostname NetworkManager: <info>  wlan0: canceled DHCP transaction, dhcp client pid 4902
Apr  9 13:34:02 hostname NetworkManager: <WARN>  check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess#012
Apr  9 13:34:02 hostname NetworkManager: <info>  Activation (wlan0) starting connection 'Auto xxxxxxxx'
Apr  9 13:34:02 hostname NetworkManager: <info>  (wlan0): device state change: 3 -> 4
Apr  9 13:34:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr  9 13:34:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr  9 13:34:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr  9 13:34:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr  9 13:34:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr  9 13:34:02 hostname NetworkManager: <info>  (wlan0): device state change: 4 -> 5
Apr  9 13:34:02 hostname NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto xxxxxxxx' has security, and secrets exist.  No new secrets needed.
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'ssid' value 'xxxxxxxx'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-EAP'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'password' value '<omitted>'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'eap' value 'PEAP'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'fragment_size' value '1300'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'phase1' value 'peapver=0'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'phase2' value 'auth=MSCHAPV2'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'ca_cert' value 'blob://-org-freedesktop-NetworkManagerSettings-2-ca_cert'
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: added 'identity' value 'XXX\xxxxx'
Apr  9 13:34:02 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr  9 13:34:02 hostname NetworkManager: <info>  Config: set interface ap_scan to 1
Apr  9 13:34:02 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:34:26 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
Apr  9 13:34:26 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> associated
Apr  9 13:34:27 hostname NetworkManager: <info>  Activation (wlan0/wireless): association took too long.
Apr  9 13:34:27 hostname NetworkManager: <info>  (wlan0): device state change: 5 -> 6
Apr  9 13:34:27 hostname NetworkManager: <info>  Activation (wlan0/wireless): asking for new secrets
Apr  9 13:34:27 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> disconnected
Apr  9 13:34:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr  9 13:34:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr  9 13:34:29 hostname NetworkManager: <info>  (wlan0): device state change: 6 -> 4
Apr  9 13:34:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr  9 13:34:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr  9 13:34:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr  9 13:34:29 hostname NetworkManager: <info>  (wlan0): device state change: 4 -> 5
Apr  9 13:34:29 hostname NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto xxxxxxxx' has security, and secrets exist.  No new secrets needed.
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'ssid' value 'xxxxxxxx'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-EAP'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'password' value '<omitted>'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'eap' value 'PEAP'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'fragment_size' value '1300'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'phase1' value 'peapver=0'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'phase2' value 'auth=MSCHAPV2'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'ca_cert' value 'blob://-org-freedesktop-NetworkManagerSettings-2-ca_cert'
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: added 'identity' value 'XXX\xxxxx'
Apr  9 13:34:29 hostname NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr  9 13:34:29 hostname NetworkManager: <info>  Config: set interface ap_scan to 1
Apr  9 13:34:29 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  9 13:34:32 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
Apr  9 13:34:32 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> associated
Apr  9 13:34:32 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  9 13:34:32 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> group handshake
Apr  9 13:34:32 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  group handshake -> completed
Apr  9 13:34:32 hostname NetworkManager: <info>  Activation (wlan0/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'xxxxxxxx'.
Apr  9 13:34:32 hostname NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) scheduled.
Apr  9 13:34:32 hostname NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) started...
Apr  9 13:34:32 hostname NetworkManager: <info>  (wlan0): device state change: 5 -> 7
Apr  9 13:34:32 hostname NetworkManager: <info>  Activation (wlan0) Beginning DHCP transaction.
Apr  9 13:34:32 hostname avahi-daemon[2542]: Registering new address record for fe80::21b:77ff:xxxx:xxxx on wlan0.*.
Apr  9 13:34:32 hostname NetworkManager: <info>  dhclient started with pid 5064
Apr  9 13:34:32 hostname NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) complete.
Apr  9 13:34:32 hostname dhclient: Internet Systems Consortium DHCP Client 4.0.0
Apr  9 13:34:32 hostname dhclient: Copyright 2004-2007 Internet Systems Consortium.
Apr  9 13:34:32 hostname dhclient: All rights reserved.
Apr  9 13:34:32 hostname dhclient: For info, please visit http://www.isc.org/sw/dhcp/
Apr  9 13:34:32 hostname dhclient: 
Apr  9 13:34:32 hostname NetworkManager: <info>  DHCP: device wlan0 state changed normal exit -> preinit
Apr  9 13:34:32 hostname dhclient: Listening on LPF/wlan0/00:1b:77:71:XX:XX
Apr  9 13:34:32 hostname dhclient: Sending on   LPF/wlan0/00:1b:77:71:XX:XX
Apr  9 13:34:32 hostname dhclient: Sending on   Socket/fallback
Apr  9 13:34:34 hostname dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 7
Apr  9 13:34:34 hostname dhclient: DHCPOFFER from XXX.XXX.88.2
Apr  9 13:34:34 hostname dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Apr  9 13:34:35 hostname dhclient: DHCPACK from XXX.XXX.88.2
Apr  9 13:34:35 hostname NetworkManager: <info>  DHCP: device wlan0 state changed preinit -> bound
Apr  9 13:34:35 hostname NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) scheduled...
Apr  9 13:34:35 hostname NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) started...
Apr  9 13:34:35 hostname NetworkManager: <info>    address XXX.XXX.88.131
Apr  9 13:34:35 hostname NetworkManager: <info>    prefix 23 (255.255.254.0)
Apr  9 13:34:35 hostname NetworkManager: <info>    gateway XXX.XXX.88.1
Apr  9 13:34:35 hostname NetworkManager: <info>    hostname 'hostname-wireless'
Apr  9 13:34:35 hostname NetworkManager: <info>    nameserver 'XXX.XXX.1.30'
Apr  9 13:34:35 hostname NetworkManager: <info>    nameserver 'XXX.XXX.86.6'
Apr  9 13:34:35 hostname NetworkManager: <info>    domain name 'XXXXX.XXX'
Apr  9 13:34:35 hostname NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) scheduled...
Apr  9 13:34:35 hostname NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) complete.
Apr  9 13:34:35 hostname NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) started...
Apr  9 13:34:35 hostname avahi-daemon[2542]: Joining mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.88.131.
Apr  9 13:34:35 hostname avahi-daemon[2542]: New relevant interface wlan0.IPv4 for mDNS.
Apr  9 13:34:35 hostname avahi-daemon[2542]: Registering new address record for XXX.XXX.88.131 on wlan0.IPv4.
Apr  9 13:34:35 hostname dhclient: bound to XXX.XXX.88.131 -- renewal in 1363 seconds.
Apr  9 13:34:36 hostname NetworkManager: <info>  (wlan0): device state change: 7 -> 8
Apr  9 13:34:36 hostname NetworkManager: <info>  Policy set 'Auto xxxxxxxx' (wlan0) as default for routing and DNS.
Apr  9 13:34:36 hostname NetworkManager: <info>  Activation (wlan0) successful, device activated.
Apr  9 13:34:36 hostname NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) complete.
Apr  9 13:36:20 hostname avahi-daemon[2542]: Interface wlan0.IPv4 no longer relevant for mDNS.
Apr  9 13:36:20 hostname avahi-daemon[2542]: Leaving mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.88.131.
Apr  9 13:36:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  completed -> associating
Apr  9 13:36:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
Apr  9 13:36:20 hostname avahi-daemon[2542]: Withdrawing address record for fe80::21b:77ff:xxxx:xxxx on wlan0.
Apr  9 13:36:20 hostname avahi-daemon[2542]: Withdrawing address record for XXX.XXX.88.131 on wlan0.
Apr  9 13:36:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> associated
Apr  9 13:36:23 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  9 13:36:23 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> group handshake
Apr  9 13:36:23 hostname avahi-daemon[2542]: Joining mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.88.131.
Apr  9 13:36:23 hostname avahi-daemon[2542]: New relevant interface wlan0.IPv4 for mDNS.
Apr  9 13:36:23 hostname avahi-daemon[2542]: Registering new address record for fe80::21b:77ff:xxxx:xxxx on wlan0.*.
Apr  9 13:36:23 hostname avahi-daemon[2542]: Registering new address record for XXX.XXX.88.131 on wlan0.IPv4.
Apr  9 13:36:23 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  group handshake -> completed
Apr  9 13:39:19 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  completed -> associating
Apr  9 13:39:19 hostname avahi-daemon[2542]: Interface wlan0.IPv4 no longer relevant for mDNS.
Apr  9 13:39:19 hostname avahi-daemon[2542]: Leaving mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.88.131.
Apr  9 13:39:19 hostname avahi-daemon[2542]: Withdrawing address record for fe80::21b:77ff:xxxx:xxxx on wlan0.
Apr  9 13:39:19 hostname avahi-daemon[2542]: Withdrawing address record for XXX.XXX.88.131 on wlan0.
Apr  9 13:39:19 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
Apr  9 13:39:19 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> associated
Apr  9 13:39:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  9 13:39:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> group handshake
Apr  9 13:39:20 hostname NetworkManager: <info>  (wlan0): supplicant connection state:  group handshake -> completed
Apr  9 13:39:20 hostname avahi-daemon[2542]: Joining mDNS multicast group on interface wlan0.IPv4 with address XXX.XXX.88.131.
Apr  9 13:39:20 hostname avahi-daemon[2542]: New relevant interface wlan0.IPv4 for mDNS.
Apr  9 13:39:20 hostname avahi-daemon[2542]: Registering new address record for fe80::21b:77ff:xxxx:xxxx on wlan0.*.
Apr  9 13:39:20 hostname avahi-daemon[2542]: Registering new address record for XXX.XXX.88.131 on wlan0.IPv4.
Comment 2 John W. Linville 2009-04-27 11:15:38 EDT
"Upgrading to kernel 2.6.29.3 form koji seems to improve the system stability with regard to panics."

Closing on that basis.  Please open a new bug specific to the problem described in comment 1 if that issue persists.

Note You need to log in before you can comment on or make changes to this bug.